Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 627376 (CVE-2017-7753, CVE-2017-7779, CVE-2017-7782, CVE-2017-7784, CVE-2017-7785, CVE-2017-7786, CVE-2017-7787, CVE-2017-7791, CVE-2017-7792, CVE-2017-7793, CVE-2017-7800, CVE-2017-7801, CVE-2017-7802, CVE-2017-7803, CVE-2017-7804, CVE-2017-7805, CVE-2017-7807, CVE-2017-7809, CVE-2017-7810, CVE-2017-7814, CVE-2017-7818, CVE-2017-7819, CVE-2017-7823, CVE-2017-7824, CVE-2017-7825)

Summary: <mail-client/thunderbird-52.4.0: multiple vulnerabilities
Product: Gentoo Security Reporter: Agostino Sarubbo <ago>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: normal CC: mozilla
Priority: Normal Flags: stable-bot: sanity-check-
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://bugs.gentoo.org/show_bug.cgi?id=648198
Whiteboard: B2 [glsa+ cve blocked]
Package list:
Runtime testing required: ---
Bug Depends on: 624548, 628208, 639048, 645820    
Bug Blocks:    

Comment 1 Ian Stakenvicius gentoo-dev 2017-08-18 17:05:25 UTC
Ebuilds are in the tree.

Arches please stabilize as per the package list.  *-bin packages have been stabilized by package maintainers already.

Security please update bug status as appropriate, I don't want to mess up the general procedure there.
Comment 2 Ian Stakenvicius gentoo-dev 2017-08-18 17:06:11 UTC
adding arches to CC's, those didn't take on the last update.
Comment 3 Stabilization helper bot gentoo-dev 2017-08-18 18:02:13 UTC
An automated check of this bug failed - repoman reported dependency errors (47 lines truncated): 

> dependency.bad mail-client/thunderbird/thunderbird-52.3.0.ebuild: DEPEND: ppc(default/linux/powerpc/ppc32/13.0) ['>=media-libs/libpng-1.6.28:0=[apng]']
> dependency.bad mail-client/thunderbird/thunderbird-52.3.0.ebuild: RDEPEND: ppc(default/linux/powerpc/ppc32/13.0) ['>=x11-plugins/enigmail-1.9.7', '>=media-libs/libpng-1.6.28:0=[apng]']
> dependency.bad mail-client/thunderbird/thunderbird-52.3.0.ebuild: DEPEND: ppc(default/linux/powerpc/ppc32/13.0/desktop) ['>=media-libs/libpng-1.6.28:0=[apng]']
Comment 4 Stabilization helper bot gentoo-dev 2017-08-18 19:01:25 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 5 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2017-09-03 21:09:53 UTC
amd64/x86 stable
Comment 6 Christopher Díaz Riveros (RETIRED) gentoo-dev Security 2017-10-05 15:32:24 UTC
@ppc/ppc64 please continue stabilization of Thunderbird in this report, Firefox is being stabilized in bug 632400.


Thank you,

Gentoo Security Padawan
ChrisADR
Comment 7 Stabilization helper bot gentoo-dev 2017-10-13 11:00:40 UTC
An automated check of this bug failed - repoman reported dependency errors (12 lines truncated): 

> dependency.bad mail-client/thunderbird/thunderbird-52.3.0.ebuild: RDEPEND: ppc(default/linux/powerpc/ppc32/13.0) ['>=x11-plugins/enigmail-1.9.7']
> dependency.bad mail-client/thunderbird/thunderbird-52.3.0.ebuild: RDEPEND: ppc(default/linux/powerpc/ppc32/13.0/desktop) ['>=x11-plugins/enigmail-1.9.7']
> dependency.bad mail-client/thunderbird/thunderbird-52.3.0.ebuild: RDEPEND: ppc(default/linux/powerpc/ppc32/13.0/desktop/gnome) ['>=x11-plugins/enigmail-1.9.7']
Comment 8 Stabilization helper bot gentoo-dev 2017-10-13 23:00:41 UTC
An automated check of this bug failed - repoman reported dependency errors (12 lines truncated): 

> dependency.bad mail-client/thunderbird/thunderbird-52.3.0.ebuild: RDEPEND: ppc(default/linux/powerpc/ppc32/13.0) ['>=x11-plugins/enigmail-1.9.7']
> dependency.bad mail-client/thunderbird/thunderbird-52.3.0.ebuild: RDEPEND: ppc(default/linux/powerpc/ppc32/13.0/desktop) ['>=x11-plugins/enigmail-1.9.7']
> dependency.bad mail-client/thunderbird/thunderbird-52.3.0.ebuild: RDEPEND: ppc(default/linux/powerpc/ppc32/13.0/desktop/gnome) ['>=x11-plugins/enigmail-1.9.7']
Comment 9 Christopher Díaz Riveros (RETIRED) gentoo-dev Security 2017-11-12 13:59:48 UTC
@Arches new Thunderbird release, please test and mark stable 52.4.0 since we have multiple vulnerabilities in 52.3.0:

https://www.mozilla.org/en-US/security/advisories/mfsa2017-23/
https://www.mozilla.org/en-US/security/advisories/mfsa2017-20/

Thank you
Comment 10 Stabilization helper bot gentoo-dev 2017-11-12 14:01:08 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 11 Agostino Sarubbo gentoo-dev 2017-11-12 23:11:51 UTC
amd64 stable
Comment 12 Thomas Deutschmann gentoo-dev Security 2017-11-13 00:50:21 UTC
x86 stable
Comment 13 Stabilization helper bot gentoo-dev 2018-01-06 13:00:57 UTC
An automated check of this bug failed - the following atom is unknown:

mail-client/thunderbird-52.4.0

Please verify the atom list.
Comment 14 Thomas Deutschmann gentoo-dev Security 2018-01-06 16:21:51 UTC
Superseded by bug 639048.
Comment 15 GLSAMaker/CVETool Bot gentoo-dev 2018-03-28 18:24:51 UTC
This issue was resolved and addressed in
 GLSA 201803-14 at https://security.gentoo.org/glsa/201803-14
by GLSA coordinator Aaron Bauman (b-man).